Avaya Client Services API Reference (iOS)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Properties | List of all members
CSFeatureInvocationParameters Class Reference

The associated parameters for a feature invocation. More...

`#import <CSFeatureInvocationParameters.h>`

Inherits NSObject.

## Properties
CSFeatureAction | action
| The action used in the 'avaya-cm-action' parameter of the feature invocation. More...
NSString * | destination
| The destination used in the 'avaya-cm-destination'=<destination>' parameter of the feature invocation or in 'term-destination'=<destination> parameter for the callback call feature. More...
NSString * | extension
| The extension used in in 'avaya-cm-extension' parameter of the feature invocation or in 'callback-destination' parameter for the callback call feature. More...
NSInteger | pickupNumber
| The number used in the 'avaya-cm-pickup-number' parameter of the feature invocation. More...
NSString * | ownerExtension
| The extension used in the To and Request-URI of the feature invocation (in place of the the local user's AOR). More...
CSEnhancedCallForwardingStatus * | enhancedCallForwardingStatus
| For Enhanced Call Forwarding feature invocation, ECF parameter from Client received in "enhancedCallForwardingStatus". More...
CSSimRingCallbackStatusParameters * | simRingCallbackStatusParameters
| For Callback / Simultaneous Ring feature invocation, SRC parameter from Client received in "simRingCallbackStatusParameters". More...
NSInteger | huntGroupNumber
| The Hunt Group Number to be used in avaya-cm-group parameter for the hunt-group-busy-position feature invocation. More...

## Detailed Description

The associated parameters for a feature invocation.

This is a union of the parameters that can be passed in the invocation for any supported feature. The caller is expected to know which parameters are supported for a specific feature (some required, some optional).

## Property Documentation

- (CSFeatureAction) action
| read write nonatomic assign

The action used in the 'avaya-cm-action' parameter of the feature invocation.

If set to CSFeatureActionUndefined, avaya-cm-action is not used during feature invocation.

- (NSString*) destination
| read write nonatomic copy

The destination used in the 'avaya-cm-destination'=<destination>' parameter of the feature invocation or in 'term-destination'=<destination> parameter for the callback call feature.

If set to nil, avaya-cm-destination and term-destination are not used during feature invocation.

- (CSEnhancedCallForwardingStatus*) enhancedCallForwardingStatus
| read write nonatomic copy

For Enhanced Call Forwarding feature invocation, ECF parameter from Client received in "enhancedCallForwardingStatus".

If set, the other standard parameters are of no relavance.

- (NSString*) extension
| read write nonatomic copy

The extension used in in 'avaya-cm-extension' parameter of the feature invocation or in 'callback-destination' parameter for the callback call feature.

If set to nil, avaya-cm-extension or term-destination is not used during feature invocation.

- (NSInteger) huntGroupNumber
| read write nonatomic assign

The Hunt Group Number to be used in avaya-cm-group parameter for the hunt-group-busy-position feature invocation.

- (NSString*) ownerExtension
| read write nonatomic copy

The extension used in the To and Request-URI of the feature invocation (in place of the the local user's AOR).

If set to nil, the local user's AOR is used for feature invocation.

- (NSInteger) pickupNumber
| read write nonatomic assign

The number used in the 'avaya-cm-pickup-number' parameter of the feature invocation.

If set to -1, avaya-cm-pickup-number is not used during feature invocation.

- (CSSimRingCallbackStatusParameters*) simRingCallbackStatusParameters
| read write nonatomic copy

For Callback / Simultaneous Ring feature invocation, SRC parameter from Client received in "simRingCallbackStatusParameters".

If set, the other standard parameters are of no relavance.

The documentation for this class was generated from the following file:

- CSFeatureInvocationParameters.h